<?
	function validar_dia_syf($cFecha,$siSabado,$siFestivo,$cFechaf,$arrayfch){//Funcion para validar dia entre sabados y/o festivos
		$nDias=0;
		if($siSabado==0){
			while(date('w', strtotime($cFecha))==6){
				$cFecha=date("d-m-Y",strtotime($cFecha."+ 1 days")); 
				$nDias=$nDias+1;
				if($siFestivo==0){
					while(in_array( strtotime($cFecha), $arrayfch) and strtotime($cFecha)<=strtotime($cFechaf)){
						$cFecha=date("d-m-Y",strtotime($cFecha."+ 1 days")); 
						$nDias=$nDias+1;
					}
				}
			}
		}else{
			if($siFestivo==0){
				while(in_array( strtotime($cFecha), $arrayfch) and strtotime($cFecha)<=strtotime($cFechaf)){
					$cFecha=date("d-m-Y",strtotime($cFecha."+ 1 days")); 
					$nDias=$nDias+1;
				}
			}
		}

	 	return $nDias;
	}
	
?>